#! /usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup, find_packages
import re

api_version = re.search(r'\s*__version__\s*=\s*(\S+)',
                        open('ERP5Diff.py').read()).group(1).strip()
revision = 0
version = '%s.%s' % (api_version, revision)

setup(name="erp5diff",
      version=version,
      description="XUpdate Generator for ERP5",
      author="Yoshinori OKUJI",
      author_email="yo@nexedi.com",
      url="http://www.erp5.org/",
      download_url="http://www.nexedi.org/static/packages/source/erp5diff-%s.tar.gz" % version,
      license="GPL",
      packages=find_packages(),
      py_modules=["ERP5Diff"],
      scripts=["erp5diff"],
      data_files=[('share/man/man1', ['erp5diff.1'])],
      install_requires=['zope.interface', 'lxml'],
      classifiers=['License :: OSI Approved :: GNU General Public License (GPL)',
                  'Operating System :: OS Independent',
                  'Topic :: Text Processing :: Markup :: XML',
                  'Topic :: Utilities'],
      include_package_data=True,
      zip_safe=False,
     )
